#include <bits/stdc++.h>
using namespace std;
int mas[300000]={0};
int nmas[600000]={0};
int main() {
    int t;
    cin>>t;
    for (int l=0;l<t;l++) {

        int n;
        cin>>n;
        for (int i=0;i<n;i++) {
            cin>>mas[i];
            nmas[i]=0;
            nmas[i+n]=0;
        }
        bool f=false;
        for (int i=1;i<n-1;i++) {
            if (mas[i-1]+mas[i+1]<2*mas[i]){f=true;break;}
        }
        if (!f)cout<<"YES"<<'\n';
        else cout<<"NO"<<'\n';
        continue;
        sort(mas,mas+n);
        int rb=n/2,lb=n/2-1;
        bool flag=true;
        for (int i=0;i<n&&flag;i++) {
            if (i<2){nmas[rb]=mas[i];rb++;}
            else {
                if (nmas[rb-2]+mas[i]>=nmas[rb-1]*2){nmas[rb]=mas[i];rb++;}
                else {
                    if (nmas[lb+2]+mas[i]>=nmas[lb+1]*2){nmas[lb]=mas[i];lb--;}
                    else flag=false;
                }
            }
        }
        if (true) {
            cout<<"YES"<<'\n';
            for (int i=lb+2;i<rb-1;i++) {
                if (nmas[i-1]+nmas[i+1]<nmas[i]*2) {while (true){}}
            }
        }
        else cout<<"NO"<<'\n';
    }
}